mkdir h4toh5test

echo off
echo    h4toh5 converter tool testing command on windows 
echo    should include two parameters and  
echo    should be input as the following format:
echo    	h4toh5testrun para1 para2 
echo 		********** WARNINGS: **********
echo If parameters for testing are input incorrectly,
echo    testing results will not reflect the status of 
echo    the tool.
echo    Parameter 1 is the version of h4toh5test(Debug or Release)
echo 		the current version is 
echo                   %1
echo    parameter 2 is either dll or empty 
echo 	  non-dll version will not print anything on the next line
echo on
echo %2
echo off

echo    I. For h4toh5 test option I(non-hdf5 file name)
echo    using %1 version
cd h4toh5%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\testfiles\*.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 conversion(h5 file will be created) 
echo on
echo
h4toh5%2 vg.hdf 
h4toh5%2 anfile.hdf
h4toh5%2 anno_obj.hdf
h4toh5%2 image_attr.hdf
h4toh5%2 image_pal.hdf
h4toh5%2 image_uint16.hdf
h4toh5%2 image_uint161.hdf
h4toh5%2 image_uint32.hdf
h4toh5%2 image_uint321.hdf
h4toh5%2 image_uint8.hdf
h4toh5%2 image_uint81.hdf
h4toh5%2 sds_dimscaunl_data.hdf
h4toh5%2 sds_dimsca_data.hdf
h4toh5%2 sds_typattr.hdf
h4toh5%2 sds_typchar8.hdf
h4toh5%2 sds_typchunk_comp.hdf
h4toh5%2 sds_typfloat32.hdf
h4toh5%2 sds_typfloat64.hdf
h4toh5%2 sds_typint16.hdf
h4toh5%2 sds_typint32.hdf
h4toh5%2 sds_typint8.hdf
h4toh5%2 sds_typlint16.hdf
h4toh5%2 sds_typlint32.hdf
h4toh5%2 sds_typlint8.hdf
h4toh5%2 sds_typluint16.hdf
h4toh5%2 sds_typluint32.hdf
h4toh5%2 sds_typluint8.hdf
h4toh5%2 sds_typnfloat32.hdf
h4toh5%2 sds_typnfloat64.hdf
h4toh5%2 sds_typuint16.hdf
h4toh5%2 sds_typuint32.hdf
h4toh5%2 sds_typuint8.hdf
h4toh5%2 vdata_attrtest.hdf
h4toh5%2 vdata_typtest.hdf
h4toh5%2 vg_attrtest.hdf
h4toh5%2 vg_hl.hdf
h4toh5%2 vg_loop.hdf
h4toh5%2 vg_nameclash.hdf
h4toh5%2 vg_nameclash2.hdf
h4toh5%2 vg_simple.hdf

echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy *.h5 ..\..\h5dump\Release

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.h5

echo off
echo   go to the path where h5dump is located:
cd ..\..\h5dump\Release

echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  vg.h5 >..\..\h4toh5test\vg.results
h5dump  anfile.h5 >..\..\h4toh5test\anfile.results
h5dump  anno_obj.h5 >..\..\h4toh5test\anno_obj.results
h5dump  image_attr.h5 >..\..\h4toh5test\image_attr.results
h5dump  image_pal.h5 >..\..\h4toh5test\image_pal.results
h5dump  image_uint16.h5 >..\..\h4toh5test\image_uint16.results
h5dump  image_uint161.h5 >..\..\h4toh5test\image_uint161.results
h5dump  image_uint32.h5 >..\..\h4toh5test\image_uint32.results
h5dump  image_uint321.h5 >..\..\h4toh5test\image_uint321.results
h5dump  image_uint8.h5 >..\..\h4toh5test\image_uint8.results
h5dump  image_uint81.h5 >..\..\h4toh5test\image_uint81.results
h5dump  sds_dimscaunl_data.h5 >..\..\h4toh5test\sds_dimscaunl_data.results
h5dump 	sds_dimsca_data.h5 >..\..\h4toh5test\sds_dimsca_data.results
h5dump  sds_typattr.h5 >..\..\h4toh5test\sds_typattr.results
h5dump 	sds_typchar8.h5 >..\..\h4toh5test\sds_typchar8.results
h5dump 	sds_typchunk_comp.h5 >..\..\h4toh5test\sds_typchunk_comp.results
h5dump  sds_typfloat32.h5 >..\..\h4toh5test\sds_typfloat32.results
h5dump  sds_typfloat64.h5 >..\..\h4toh5test\sds_typfloat64.results
h5dump  sds_typint16.h5 >..\..\h4toh5test\sds_typint16.results
h5dump  sds_typint32.h5 >..\..\h4toh5test\sds_typint32.results
h5dump  sds_typint8.h5 >..\..\h4toh5test\sds_typint8.results
h5dump  sds_typlint16.h5 >..\..\h4toh5test\sds_typlint16.results
h5dump  sds_typlint32.h5 >..\..\h4toh5test\sds_typlint32.results
h5dump  sds_typlint8.h5 >..\..\h4toh5test\sds_typlint8.results
h5dump  sds_typluint16.h5 >..\..\h4toh5test\sds_typluint16.results
h5dump  sds_typluint32.h5 >..\..\h4toh5test\sds_typluint32.results
h5dump  sds_typluint8.h5 >..\..\h4toh5test\sds_typluint8.results
h5dump  sds_typnfloat32.h5 >..\..\h4toh5test\sds_typnfloat32.results
h5dump  sds_typnfloat64.h5 >..\..\h4toh5test\sds_typnfloat64.results
h5dump  sds_typuint16.h5 >..\..\h4toh5test\sds_typuint16.results
h5dump  sds_typuint32.h5 >..\..\h4toh5test\sds_typuint32.results
h5dump  sds_typuint8.h5 >..\..\h4toh5test\sds_typuint8.results
h5dump  vdata_attrtest.h5 >..\..\h4toh5test\vdata_attrtest.results
h5dump  vdata_typtest.h5 >..\..\h4toh5test\vdata_typtest.results
h5dump  vg_attrtest.h5 >..\..\h4toh5test\vg_attrtest.results
h5dump  vg_nameclash.h5 >..\..\h4toh5test\vg_nameclash.results
h5dump  vg_nameclash2.h5 >..\..\h4toh5test\vg_nameclash2.results
h5dump  vg_simple.h5 >..\..\h4toh5test\vg_simple.results
h5dump  vg_hl.h5 >..\..\h4toh5test\vg_hl.results
h5dump  vg_loop.h5 >..\..\h4toh5test\vg_loop.results

echo off
echo    now deleting the converted h5 files under h5dump directory 
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\testfiles\Expected\*.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files

h5dump  vg.h5 >..\..\h4toh5test\vg.expected
h5dump  anfile.h5 >..\..\h4toh5test\anfile.expected
h5dump  anno_obj.h5 >..\..\h4toh5test\anno_obj.expected
h5dump  image_attr.h5 >..\..\h4toh5test\image_attr.expected
h5dump  image_pal.h5 >..\..\h4toh5test\image_pal.expected
h5dump  image_uint16.h5 >..\..\h4toh5test\image_uint16.expected
h5dump  image_uint161.h5 >..\..\h4toh5test\image_uint161.expected
h5dump  image_uint32.h5 >..\..\h4toh5test\image_uint32.expected
h5dump  image_uint321.h5 >..\..\h4toh5test\image_uint321.expected
h5dump  image_uint8.h5 >..\..\h4toh5test\image_uint8.expected
h5dump  image_uint81.h5 >..\..\h4toh5test\image_uint81.expected
h5dump  sds_dimscaunl_data.h5 >..\..\h4toh5test\sds_dimscaunl_data.expected
h5dump 	sds_dimsca_data.h5 >..\..\h4toh5test\sds_dimsca_data.expected
h5dump  sds_typattr.h5 >..\..\h4toh5test\sds_typattr.expected
h5dump 	sds_typchar8.h5 >..\..\h4toh5test\sds_typchar8.expected
h5dump 	sds_typchunk_comp.h5 >..\..\h4toh5test\sds_typchunk_comp.expected
h5dump  sds_typfloat32.h5 >..\..\h4toh5test\sds_typfloat32.expected
h5dump  sds_typfloat64.h5 >..\..\h4toh5test\sds_typfloat64.expected
h5dump  sds_typint16.h5 >..\..\h4toh5test\sds_typint16.expected
h5dump  sds_typint32.h5 >..\..\h4toh5test\sds_typint32.expected
h5dump  sds_typint8.h5 >..\..\h4toh5test\sds_typint8.expected
h5dump  sds_typlint16.h5 >..\..\h4toh5test\sds_typlint16.expected
h5dump  sds_typlint32.h5 >..\..\h4toh5test\sds_typlint32.expected
h5dump  sds_typlint8.h5 >..\..\h4toh5test\sds_typlint8.expected
h5dump  sds_typluint16.h5 >..\..\h4toh5test\sds_typluint16.expected
h5dump  sds_typluint32.h5 >..\..\h4toh5test\sds_typluint32.expected
h5dump  sds_typluint8.h5 >..\..\h4toh5test\sds_typluint8.expected
h5dump  sds_typnfloat32.h5 >..\..\h4toh5test\sds_typnfloat32.expected
h5dump  sds_typnfloat64.h5 >..\..\h4toh5test\sds_typnfloat64.expected
h5dump  sds_typuint16.h5 >..\..\h4toh5test\sds_typuint16.expected
h5dump  sds_typuint32.h5 >..\..\h4toh5test\sds_typuint32.expected
h5dump  sds_typuint8.h5 >..\..\h4toh5test\sds_typuint8.expected
h5dump  vdata_attrtest.h5 >..\..\h4toh5test\vdata_attrtest.expected
h5dump  vdata_typtest.h5 >..\..\h4toh5test\vdata_typtest.expected
h5dump  vg_attrtest.h5 >..\..\h4toh5test\vg_attrtest.expected
h5dump  vg_nameclash.h5 >..\..\h4toh5test\vg_nameclash.expected
h5dump  vg_nameclash2.h5 >..\..\h4toh5test\vg_nameclash2.expected
h5dump  vg_simple.h5 >..\..\h4toh5test\vg_simple.expected
h5dump  vg_hl.h5 >..\..\h4toh5test\vg_hl.expected
h5dump  vg_loop.h5 >..\..\h4toh5test\vg_loop.expected

echo off
echo   now deleting EXPECTED h5 files 

del *.h5

echo ------------STEP SIX------------------
echo file comparision for the first option

cd ..\..\h4toh5test

fc vg.results vg.expected
fc anfile.results anfile.expected
fc anno_obj.results anno_obj.expected
fc image_attr.results image_attr.expected
fc image_pal.results image_pal.expected
fc image_uint16.results image_uint16.expected
fc image_uint161.results image_uint161.expected
fc image_uint32.results image_uint32.expected
fc image_uint321.results image_uint321.expected
fc image_uint8.results image_uint8.expected
fc image_uint81.results image_uint81.expected
fc sds_dimscaunl_data.results sds_dimscaunl_data.expected
fc sds_dimsca_data.results sds_dimsca_data.expected
fc sds_typattr.results sds_typattr.expected
fc sds_typchar8.results sds_typchar8.expected
fc sds_typchunk_comp.results sds_typchunk_comp.expected
fc sds_typfloat32.results sds_typfloat32.expected
fc sds_typfloat64.results sds_typfloat64.expected
fc sds_typint16.results sds_typint16.expected
fc sds_typint32.results sds_typint32.expected
fc sds_typint8.results sds_typint8.expected
fc sds_typlint16.results sds_typlint16.expected
fc sds_typlint32.results sds_typlint32.expected
fc sds_typlint8.results sds_typlint8.expected
fc sds_typluint16.results sds_typluint16.expected
fc sds_typluint32.results sds_typluint32.expected
fc sds_typluint8.results sds_typluint8.expected
fc sds_typnfloat32.results sds_typnfloat32.expected
fc sds_typnfloat64.results sds_typnfloat64.expected
fc sds_typuint16.results sds_typuint16.expected
fc sds_typuint32.results sds_typuint32.expected
fc sds_typuint8.results sds_typuint8.expected
fc vdata_attrtest.results vdata_attrtest.expected
fc vdata_typtest.results vdata_typtest.expected
fc vg_attrtest.results vg_attrtest.expected
fc vg_hl.results vg_hl.expected
fc vg_loop.results vg_loop.expected
fc vg_nameclash.results vg_nameclash.expected
fc vg_nameclash2.results vg_nameclash2.expected
fc vg_simple.results vg_simple.expected

del *.results
del *.expected


cd ..

echo off
echo    II. For h4toh5 test option II(hdf file name specified)    
echo 	using %1 version
echo on
echo 
cd h4toh5%2\%1
echo off
echo    skip STEP ONE since we have already copied original hdf files
echo on
echo
echo off
echo --------------STEP TWO-------------------
echo 	doing h4toh5 conversion(hdf file is set default) 
h4toh5%2 vg.hdf vg.h5
h4toh5%2 anfile.hdf anfile.h5
h4toh5%2 anno_obj.hdf anno_obj.h5
h4toh5%2 image_attr.hdf image_attr.h5
h4toh5%2 image_pal.hdf image_pal.h5
h4toh5%2 image_uint16.hdf image_uint16.h5
h4toh5%2 image_uint161.hdf image_uint161.h5
h4toh5%2 image_uint32.hdf image_uint32.h5
h4toh5%2 image_uint321.hdf image_uint321.h5
h4toh5%2 image_uint8.hdf image_uint8.h5
h4toh5%2 image_uint81.hdf image_uint81.h5
h4toh5%2 sds_dimscaunl_data.hdf sds_dimscaunl_data.h5
h4toh5%2 sds_dimsca_data.hdf sds_dimsca_data.h5
h4toh5%2 sds_typattr.hdf sds_typattr.h5
h4toh5%2 sds_typchar8.hdf sds_typchar8.h5
h4toh5%2 sds_typchunk_comp.hdf sds_typchunk_comp.h5
h4toh5%2 sds_typfloat32.hdf sds_typfloat32.h5
h4toh5%2 sds_typfloat64.hdf sds_typfloat64.h5
h4toh5%2 sds_typint16.hdf sds_typint16.h5
h4toh5%2 sds_typint32.hdf sds_typint32.h5
h4toh5%2 sds_typint8.hdf sds_typint8.h5
h4toh5%2 sds_typlint16.hdf sds_typlint16.h5
h4toh5%2 sds_typlint32.hdf sds_typlint32.h5
h4toh5%2 sds_typlint8.hdf sds_typlint8.h5
h4toh5%2 sds_typluint16.hdf sds_typluint16.h5
h4toh5%2 sds_typluint32.hdf sds_typluint32.h5
h4toh5%2 sds_typluint8.hdf sds_typluint8.h5
h4toh5%2 sds_typnfloat32.hdf sds_typnfloat32.h5
h4toh5%2 sds_typnfloat64.hdf sds_typnfloat64.h5
h4toh5%2 sds_typuint16.hdf sds_typuint16.h5
h4toh5%2 sds_typuint32.hdf sds_typuint32.h5
h4toh5%2 sds_typuint8.hdf sds_typuint8.h5
h4toh5%2 vdata_attrtest.hdf vdata_attrtest.h5
h4toh5%2 vdata_typtest.hdf vdata_typtest.h5
h4toh5%2 vg_attrtest.hdf vg_attrtest.h5
h4toh5%2 vg_hl.hdf vg_hl.h5
h4toh5%2 vg_loop.hdf vg_loop.h5
h4toh5%2 vg_nameclash.hdf vg_nameclash.h5
h4toh5%2 vg_nameclash2.hdf vg_nameclash2.h5
h4toh5%2 vg_simple.hdf vg_simple.h5

echo now deleting the original hdf file.
del *.hdf

echo copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo   
copy *.h5 ..\..\h5dump\Release
echo off
echo   Deleting the converted hdf file under %1
del *.h5

echo go to the path where h5dump is located:
cd ..\..\h5dump\Release
echo on
echo 
echo off
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files
echo on
echo 
h5dump  vg.h5 >..\..\h4toh5test\vg.results
h5dump  anfile.h5 >..\..\h4toh5test\anfile.results
h5dump  anno_obj.h5 >..\..\h4toh5test\anno_obj.results
h5dump  image_attr.h5 >..\..\h4toh5test\image_attr.results
h5dump  image_pal.h5 >..\..\h4toh5test\image_pal.results
h5dump  image_uint16.h5 >..\..\h4toh5test\image_uint16.results
h5dump  image_uint161.h5 >..\..\h4toh5test\image_uint161.results
h5dump  image_uint32.h5 >..\..\h4toh5test\image_uint32.results
h5dump  image_uint321.h5 >..\..\h4toh5test\image_uint321.results
h5dump  image_uint8.h5 >..\..\h4toh5test\image_uint8.results
h5dump  image_uint81.h5 >..\..\h4toh5test\image_uint81.results
h5dump  sds_dimscaunl_data.h5 >..\..\h4toh5test\sds_dimscaunl_data.results
h5dump 	sds_dimsca_data.h5 >..\..\h4toh5test\sds_dimsca_data.results
h5dump  sds_typattr.h5 >..\..\h4toh5test\sds_typattr.results
h5dump 	sds_typchar8.h5 >..\..\h4toh5test\sds_typchar8.results
h5dump 	sds_typchunk_comp.h5 >..\..\h4toh5test\sds_typchunk_comp.results
h5dump  sds_typfloat32.h5 >..\..\h4toh5test\sds_typfloat32.results
h5dump  sds_typfloat64.h5 >..\..\h4toh5test\sds_typfloat64.results
h5dump  sds_typint16.h5 >..\..\h4toh5test\sds_typint16.results
h5dump  sds_typint32.h5 >..\..\h4toh5test\sds_typint32.results
h5dump  sds_typint8.h5 >..\..\h4toh5test\sds_typint8.results
h5dump  sds_typlint16.h5 >..\..\h4toh5test\sds_typlint16.results
h5dump  sds_typlint32.h5 >..\..\h4toh5test\sds_typlint32.results
h5dump  sds_typlint8.h5 >..\..\h4toh5test\sds_typlint8.results
h5dump  sds_typluint16.h5 >..\..\h4toh5test\sds_typluint16.results
h5dump  sds_typluint32.h5 >..\..\h4toh5test\sds_typluint32.results
h5dump  sds_typluint8.h5 >..\..\h4toh5test\sds_typluint8.results
h5dump  sds_typnfloat32.h5 >..\..\h4toh5test\sds_typnfloat32.results
h5dump  sds_typnfloat64.h5 >..\..\h4toh5test\sds_typnfloat64.results
h5dump  sds_typuint16.h5 >..\..\h4toh5test\sds_typuint16.results
h5dump  sds_typuint32.h5 >..\..\h4toh5test\sds_typuint32.results
h5dump  sds_typuint8.h5 >..\..\h4toh5test\sds_typuint8.results
h5dump  vdata_attrtest.h5 >..\..\h4toh5test\vdata_attrtest.results
h5dump  vdata_typtest.h5 >..\..\h4toh5test\vdata_typtest.results
h5dump  vg_attrtest.h5 >..\..\h4toh5test\vg_attrtest.results
h5dump  vg_nameclash.h5 >..\..\h4toh5test\vg_nameclash.results
h5dump  vg_nameclash2.h5 >..\..\h4toh5test\vg_nameclash2.results
h5dump  vg_simple.h5 >..\..\h4toh5test\vg_simple.results
h5dump  vg_hl.h5 >..\..\h4toh5test\vg_hl.results
h5dump  vg_loop.h5 >..\..\h4toh5test\vg_loop.results
echo off
echo    now deleting converted h5 files
del *.h5
echo 

echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.
echo on
echo 
copy ..\..\testfiles\Expected\*.h5 .

h5dump  vg.h5 >..\..\h4toh5test\vg.expected
h5dump  anfile.h5 >..\..\h4toh5test\anfile.expected
h5dump  anno_obj.h5 >..\..\h4toh5test\anno_obj.expected
h5dump  image_attr.h5 >..\..\h4toh5test\image_attr.expected
h5dump  image_pal.h5 >..\..\h4toh5test\image_pal.expected
h5dump  image_uint16.h5 >..\..\h4toh5test\image_uint16.expected
h5dump  image_uint161.h5 >..\..\h4toh5test\image_uint161.expected
h5dump  image_uint32.h5 >..\..\h4toh5test\image_uint32.expected
h5dump  image_uint321.h5 >..\..\h4toh5test\image_uint321.expected
h5dump  image_uint8.h5 >..\..\h4toh5test\image_uint8.expected
h5dump  image_uint81.h5 >..\..\h4toh5test\image_uint81.expected
h5dump  sds_dimscaunl_data.h5 >..\..\h4toh5test\sds_dimscaunl_data.expected
h5dump 	sds_dimsca_data.h5 >..\..\h4toh5test\sds_dimsca_data.expected
h5dump  sds_typattr.h5 >..\..\h4toh5test\sds_typattr.expected
h5dump 	sds_typchar8.h5 >..\..\h4toh5test\sds_typchar8.expected

h5dump 	sds_typchunk_comp.h5 >..\..\h4toh5test\sds_typchunk_comp.expected
h5dump  sds_typfloat32.h5 >..\..\h4toh5test\sds_typfloat32.expected
h5dump  sds_typfloat64.h5 >..\..\h4toh5test\sds_typfloat64.expected
h5dump  sds_typint16.h5 >..\..\h4toh5test\sds_typint16.expected
h5dump  sds_typint32.h5 >..\..\h4toh5test\sds_typint32.expected
h5dump  sds_typint8.h5 >..\..\h4toh5test\sds_typint8.expected
h5dump  sds_typlint16.h5 >..\..\h4toh5test\sds_typlint16.expected
h5dump  sds_typlint32.h5 >..\..\h4toh5test\sds_typlint32.expected
h5dump  sds_typlint8.h5 >..\..\h4toh5test\sds_typlint8.expected
h5dump  sds_typluint16.h5 >..\..\h4toh5test\sds_typluint16.expected
h5dump  sds_typluint32.h5 >..\..\h4toh5test\sds_typluint32.expected
h5dump  sds_typluint8.h5 >..\..\h4toh5test\sds_typluint8.expected
h5dump  sds_typnfloat32.h5 >..\..\h4toh5test\sds_typnfloat32.expected
h5dump  sds_typnfloat64.h5 >..\..\h4toh5test\sds_typnfloat64.expected
h5dump  sds_typuint16.h5 >..\..\h4toh5test\sds_typuint16.expected
h5dump  sds_typuint32.h5 >..\..\h4toh5test\sds_typuint32.expected
h5dump  sds_typuint8.h5 >..\..\h4toh5test\sds_typuint8.expected
h5dump  vdata_attrtest.h5 >..\..\h4toh5test\vdata_attrtest.expected
h5dump  vdata_typtest.h5 >..\..\h4toh5test\vdata_typtest.expected
h5dump  vg_attrtest.h5 >..\..\h4toh5test\vg_attrtest.expected
h5dump  vg_nameclash.h5 >..\..\h4toh5test\vg_nameclash.expected
h5dump  vg_nameclash2.h5 >..\..\h4toh5test\vg_nameclash2.expected
h5dump  vg_simple.h5 >..\..\h4toh5test\vg_simple.expected
h5dump  vg_hl.h5 >..\..\h4toh5test\vg_hl.expected
h5dump  vg_loop.h5 >..\..\h4toh5test\vg_loop.expected

echo off
echo ----------STEP FIVE-----------------
echo on
echo 
echo   now deleting EXPECTED h5 files

del *.h5

echo off
echo ------------STEP SIX------------------

cd ..\..\h4toh5test
echo file comparisons for the second option

echo on
echo
fc vg.results vg.expected
fc anfile.results anfile.expected
fc anno_obj.results anno_obj.expected
fc image_attr.results image_attr.expected
fc image_pal.results image_pal.expected
fc image_uint16.results image_uint16.expected
fc image_uint161.results image_uint161.expected
fc image_uint32.results image_uint32.expected
fc image_uint321.results image_uint321.expected
fc image_uint8.results image_uint8.expected
fc image_uint81.results image_uint81.expected
fc sds_dimscaunl_data.results sds_dimscaunl_data.expected
fc sds_dimsca_data.results sds_dimsca_data.expected
fc sds_typattr.results sds_typattr.expected
fc sds_typchar8.results sds_typchar8.expected
fc sds_typchunk_comp.results sds_typchunk_comp.expected
fc sds_typfloat32.results sds_typfloat32.expected
fc sds_typfloat64.results sds_typfloat64.expected
fc sds_typint16.results sds_typint16.expected
fc sds_typint32.results sds_typint32.expected
fc sds_typint8.results sds_typint8.expected
fc sds_typlint16.results sds_typlint16.expected
fc sds_typlint32.results sds_typlint32.expected
fc sds_typlint8.results sds_typlint8.expected
fc sds_typluint16.results sds_typluint16.expected
fc sds_typluint32.results sds_typluint32.expected
fc sds_typluint8.results sds_typluint8.expected
fc sds_typnfloat32.results sds_typnfloat32.expected
fc sds_typnfloat64.results sds_typnfloat64.expected
fc sds_typuint16.results sds_typuint16.expected
fc sds_typuint32.results sds_typuint32.expected
fc sds_typuint8.results sds_typuint8.expected
fc vdata_attrtest.results vdata_attrtest.expected
fc vdata_typtest.results vdata_typtest.expected
fc vg_attrtest.results vg_attrtest.expected
fc vg_hl.results vg_hl.expected
fc vg_loop.results vg_loop.expected
fc vg_nameclash.results vg_nameclash.expected
fc vg_nameclash2.results vg_nameclash2.expected
fc vg_simple.results vg_simple.expected

del *.results
del *.expected

cd ..
cd h4toh5%2\%1
del *.

cd ..\..
rmdir h4toh5test